2017-09-25 18:52 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002158Kali Linux[All Projects] General Bugpublic2015-03-17 05:06
Reportermuts 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Versionkali-dev 
Target Version2.0Fixed in Versionkali-dev 
Summary0002158: Postgresql wont start on an installed system due to missing self signed certs
Descriptionroot@kali:~# service postgresql start
root@kali:~# netstat -antp
Active Internet connections (servers and established)
Proto Recv-Q Send-Q Local Address Foreign Address State PID/Program name
root@kali:~#


root@kali:~# tail -f /var/log/postgresql/postgresql-9.4-main.log
2015-03-11 14:49:59 UTC [1241-1] FATAL: could not load server certificate file "/etc/ssl/certs/ssl-cert-snakeoil.pem": No such file or directory
2015-03-11 14:50:31 UTC [1307-1] FATAL: could not load server certificate file "/etc/ssl/certs/ssl-cert-snakeoil.pem": No such file or directory
2015-03-11 14:52:56 UTC [1436-1] FATAL: could not load server certificate file "/etc/ssl/certs/ssl-cert-snakeoil.pem": No such file or directory

Attached Files

-Relationships
+Relationships

-Notes

~0003158

muts (administrator)

looks like a :

make-ssl-cert generate-default-snakeoil --force-overwrite

regenerates these certs on an installed system.

~0003171

sbrun (manager)

It's fixed in live-installer version 47~kali1 now in kali-dev
There was an older version (46) in kali-dev
+Notes

-Issue History
Date Modified Username Field Change
2015-03-11 09:50 muts New Issue
2015-03-11 09:51 muts Note Added: 0003158
2015-03-11 10:31 rhertzog Product Version => kali-dev
2015-03-11 10:31 rhertzog Target Version kali-dev => 2.0
2015-03-17 05:06 sbrun Note Added: 0003171
2015-03-17 05:06 sbrun Status new => resolved
2015-03-17 05:06 sbrun Resolution open => fixed
2015-03-17 05:06 sbrun Fixed in Version => kali-dev
2015-11-09 13:44 Mr.Joe Issue cloned: 0002804
+Issue History